Skip to main content
POST
Answer Spec Question

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

spec_id
string
required
qa_id
string
required

Body

application/json

Schema for answering a spec Q&A item.

For text questions, provide answer. For choice questions, provide selected (list of option IDs) and optionally answer as free text.

answer
string | null
selected
string[] | null

Response

Successful Response

Schema for spec Q&A response.

answer
string | null
required
answered_at
string<date-time> | null
required
answered_by
string | null
required
asked_by
string
required
created_at
string<date-time>
required
id
string
required
question
string
required
spec_id
string
required
allow_free_text
boolean
default:false
choices
SpecQAChoiceOption · object[] | null
question_type
string
default:text
selected
string[] | null
Last modified on May 17, 2026